{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "uf_ORDRE"; 
            externalType = NUMBER; 
            name = ufOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ufe_id"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ufo_id"; }; 
            name = ufeId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, ufOrdre, ufeId); 
    className = "org.cocktail.jefyadmin.server.metier.EOUtilisateurFonctionExercice"; 
    classProperties = (exercice, utilisateurFonction); 
    externalName = "JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (exercice, utilisateurFonction); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOUtilisateurFonctionExercice"; 
        "_nameInObjectStore" = "UTILISATEUR_FONCTION_EXERCICE"; 
    }; 
    name = UtilisateurFonctionExercice; 
    primaryKeyAttributes = (ufeId); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = UtilisateurFonction; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ufOrdre; sourceAttribute = ufOrdre; }); 
            name = utilisateurFonction; 
        }
    ); 
}
